------------------------------------------
-- LibSpellName2SID - test2
-- Test "Flyouts" and "Pets" and "Racials"
------------------------------------------

local AddonName, AddonEnv = ...;
local testsSharedName = AddonName.."-Tests";

local LIBSN2SID = AddonEnv.LIBSN2SID or LibStub("LibSpellName2SID-1.1"):NewInstance(testsSharedName);
local SID = LIBSN2SID.clients[testsSharedName].SID;
local LSN = LIBSN2SID.clients[testsSharedName].LSN;
-- local SID = LIBSN2SID.SID;
-- local LSN = LIBSN2SID.LSN;

local Frame = CreateFrame("Frame");
Frame:RegisterEvent("PLAYER_LOGIN");	-- Not enough data from game til this event fires.
-- Frame:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED");	-- This talent and/or the one in the line bellow
-- Frame:RegisterEvent("PLAYER_TALENT_UPDATE");		--  should fire when the player switches spec.
													-- TESTED: Both of these fire Twice on Changing
													--  spec. On Login but "ACTIVE_..." fires Once, 
													--  but "PLAYER_TALENT_..." fires Twice.
-- Frame:RegisterEvent("PLAYER_ENTERING_WORLD");
													
Frame:SetScript("OnEvent", function()
	C_Timer.After(4, function()
		print(testsSharedName.. ": Starting test2 - \"Flyouts\", \"Pets\" and \"Racials\".");
		if SID and LSN then
			startTime = GetTime();
			print(testsSharedName.. ": SID[\"Hex\"] = ".. tostring(SID["Hex"])); -- 
			endTime = GetTime();
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime();
			print(testsSharedName.. ": SID[\"Hex(Spider)\"] = ".. tostring(SID["Hex(Spider)"])); -- 
			endTime = GetTime();
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime();
			print(testsSharedName.. ": SID[\"Web Spray\"] = ".. tostring(SID["Web Spray"])); -- 
			endTime = GetTime();
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime();
			print(testsSharedName.. ": SID[\"Gift of the Naaru\"] = ".. tostring(SID["Gift of the Naaru"])); -- 
			endTime = GetTime();
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			
			startTime = GetTime() *1000000;
			print(testsSharedName.. ": LSN[\"Hex\"] = ".. tostring(LSN["Hex"])); -- 
			endTime = GetTime() *1000000;
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime() *1000000;
			print(testsSharedName.. ": LSN[\"Hex(Spider)\"] = ".. tostring(LSN["Hex(Spider)"])); -- 
			endTime = GetTime() *1000000;
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime() *1000000;
			print(testsSharedName.. ": LSN[\"Web Spray\"] = ".. tostring(LSN["Web Spray"])); -- 
			endTime = GetTime() *1000000;
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
			startTime = GetTime();
			print(testsSharedName.. ": LSN[\"Gift of the Naaru\"] = ".. tostring(LSN["Gift of the Naaru"])); -- 
			endTime = GetTime();
			print(testsSharedName.. "... in ".. endTime - startTime.. "ns.");
        else
			print(testsSharedName.. ": SID and/or LSN not found.");
		end
	end);
end);

-- Export to addon's environment:
AddonEnv.LIBSN2SID = LIBSN2SID;